# Class BasicFileChooserUI.DoubleClickListener

java.lang.Object
java.awt.event.MouseAdapter
javax.swing.plaf.basic.BasicFileChooserUI.DoubleClickListener

All Implemented Interfaces:
  `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`

Enclosing class:
  `BasicFileChooserUI`

protected class BasicFileChooserUI.DoubleClickListener extends MouseAdapter
A double click listener.

## Constructor Summary

Constructors
Constructor
Description
`DoubleClickListener(JList<?> list)`
Constructs a `DoubleClickListener`.

## Method Summary

Modifier and Type
Method
Description
`void`
`mouseEntered(MouseEvent e)`
The JList used for representing the files is created by subclasses, but the selection is monitored in this class.

### Methods declared in class java.awt.event.MouseAdapter

`mouseClicked, mouseDragged, mouseExited, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DoubleClickListener

public DoubleClickListener(JList<?> list)
Constructs a `DoubleClickListener`.

Parameters:
  `list` - the list

## Method Details

### mouseEntered

public void mouseEntered(MouseEvent e)
The JList used for representing the files is created by subclasses, but the selection is monitored in this class. The TransferHandler installed in the JFileChooser is also installed in the file list as it is used as the actual transfer source. The list is updated on a mouse enter to reflect the current data transfer state of the file chooser.

Parameters:
  `e` - the event to be processed